X2Go Bug report logs - #1112
segfault on missing ssh-key

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Antonio Russo <antonio.e.russo@gmail.com>

Date: Tue, 15 Nov 2016 13:35:02 UTC

Severity: normal

Tags: pending

Merged with 1119

Found in version 4.0.5.2

Fixed in version 4.1.1.0

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#1112: segfault on missing ssh-key
Reply-To: Antonio Russo <antonio.e.russo@gmail.com>, 1112@bugs.x2go.org
Resent-From: Antonio Russo <antonio.e.russo@gmail.com>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Tue, 15 Nov 2016 13:35:02 +0000
Resent-Message-ID: <handler.1112.B.147921670120509@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: report 1112
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: 
Received: via spool by submit@bugs.x2go.org id=B.147921670120509
          (code B); Tue, 15 Nov 2016 13:35:02 +0000
Received: (at submit) by bugs.x2go.org; 15 Nov 2016 13:31:41 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: *
X-Spam-Status: No, score=1.2 required=3.0 tests=BAYES_50,DKIM_SIGNED,
	DKIM_VALID,DKIM_VALID_AU,FREEMAIL_FROM,RCVD_IN_SORBS_SPAM autolearn=no
	version=3.3.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 7F86C3CBB6
	for <submit@bugs.x2go.org>; Tue, 15 Nov 2016 14:31:40 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id nfyD5ZR-JWfF for <submit@bugs.x2go.org>;
	Tue, 15 Nov 2016 14:31:34 +0100 (CET)
Received: from mail-yw0-f171.google.com (mail-yw0-f171.google.com [209.85.161.171])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id A82593CBB5
	for <submit@bugs.x2go.org>; Tue, 15 Nov 2016 14:31:33 +0100 (CET)
Received: by mail-yw0-f171.google.com with SMTP id r204so94184521ywb.0
        for <submit@bugs.x2go.org>; Tue, 15 Nov 2016 05:31:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20120113;
        h=to:from:subject:message-id:date:user-agent:mime-version
         :content-transfer-encoding;
        bh=BsAOMIqe/RWhjvtyEc2l62Jxy03fZ1Ir1i9C8LQCe2A=;
        b=EKoGY+JhEsNNpLKH+XfmwnZ2oGVLbcIpTPPJ/qsk17uugEeQSfrj3uILHtlzGqsKHS
         oc7P8lQMa8iTaZjByPFTmuFpj6p7LvmXT/VDy1LtHLIgdraJoItnTECdOvhPm8nHRpm5
         Q+M0Lh5VshwiTjpTZV3CaUy7NDBbCYnt+zVsyXf2Axwv32yt0BbbvJMgwYhVxsKopjFe
         /BA/uWPXVhZMhDmVNu96R0M5fZqU0yv7fC2teXbXiwGd+YfIYVYdoq8+GvMrJ7du4Ule
         egV1VULvXAHENl7Qb1IB6aKKUDdUK4jBtpsPegtSJeiXGwE3tOnnffY9OZmP/uZsclnw
         TkWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20130820;
        h=x-gm-message-state:to:from:subject:message-id:date:user-agent
         :mime-version:content-transfer-encoding;
        bh=BsAOMIqe/RWhjvtyEc2l62Jxy03fZ1Ir1i9C8LQCe2A=;
        b=bwEiYpIfyq9k8URYE9exsCIxS9qt0mBhjzklqyZuZLt9ugPF5L2BhDW7N7hJMoTDHs
         ms3662E2jGOl+JoHgWWjgK2b8EAq17AuEysB4vTDVbKG8L2LnGCiD0Ry4xNwE6yAbgeC
         jh+A4pkTfbmGO/PafTI24vRW6yZ4mDORO8JkRGZ2aYrJiTl5J/0ObW2f3RZy8CDqgBSD
         MbeSuDoRVczBvbXpLi5iliFd6hLJwB9j5UEmq9fHOKBdXMJlPqj/pdjM5R6ZuwPl/35n
         eNBBPHEQcTusR5C2qKHl9kJU+pmz9aliSx8PTIMTIm6TPjoelK2a4hwX4eVtI57rdVks
         hRpQ==
X-Gm-Message-State: ABUngveF0090i7RcgYnWZt1ko2OcxJfvc3l9Zt8Hrlq3XWushcW2UJmGioc2MeeLs/fTQA==
X-Received: by 10.129.71.8 with SMTP id u8mr22593678ywa.115.1479216692289;
        Tue, 15 Nov 2016 05:31:32 -0800 (PST)
Received: from [192.168.1.100] ([24.49.13.30])
        by smtp.gmail.com with ESMTPSA id d69sm10166654ywh.1.2016.11.15.05.31.31
        for <submit@bugs.x2go.org>
        (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
        Tue, 15 Nov 2016 05:31:31 -0800 (PST)
To: submit@bugs.x2go.org
From: Antonio Russo <antonio.e.russo@gmail.com>
Message-ID: <20b7866a-787d-5ebd-7ad0-5e30f496730e@gmail.com>
Date: Tue, 15 Nov 2016 08:31:31 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Icedove/45.4.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Package: x2goclient
Version: 4.0.5.2

(though, presumably, all versions should be affected)

On line 1100 of src/sshmasterconnection.cpp, consider the line:

> ssh_private_key prkey=privatekey_from_file(my_ssh_session, keyName.toLatin1(), 0,"");

If keyName.toLatin1() is not an existing file, you'll get an invalid pointer free.

This might be a bug in libssh, but it took me an embarrassingly long time to figure
out what was wrong, so others might be similarly confused.

Thanks

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Aug 20 21:16:58 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.